Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1943684 (CVE-2021-32491) - CVE-2021-32491 djvulibre: Integer overflow in function render() in tools/ddjvu via crafted djvu file
Summary: CVE-2021-32491 djvulibre: Integer overflow in function render() in tools/ddjv...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-32491
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1943409 1958176 1958177
Blocks: 1949947
TreeView+ depends on / blocked
 
Reported: 2021-03-26 19:55 UTC by Pedro Sampaio
Modified: 2021-11-04 14:57 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in djvulibre-3.5.28 and earlier. An integer overflow in function render() in tools/ddjvu via crafted djvu file may lead to application crash and other consequences.
Clone Of:
Environment:
Last Closed: 2021-11-04 14:57:35 UTC
Embargoed:


Attachments (Terms of Use)

Description Pedro Sampaio 2021-03-26 19:55:15 UTC
A flaw was found in latest djvulibre. An integer overflow in function render() in tools/ddjvu via crafted djvu file may lead to application crash and other consequences.

References:

https://bugzilla.redhat.com/show_bug.cgi?id=1943409

Comment 2 Michael Kaplan 2021-05-07 11:52:09 UTC
Created djvulibre tracking bugs for this issue:

Affects: fedora-all [bug 1943409]

Comment 3 Michael Kaplan 2021-05-07 11:52:46 UTC
Created djvulibre tracking bugs for this issue:

Affects: epel-7 [bug 1958177]


Created mingw-djvulibre tracking bugs for this issue:

Affects: fedora-all [bug 1958176]

Comment 4 Michael Kaplan 2021-05-10 17:08:43 UTC
Acknowledgments:

Name: 1vanChen (NSFOCUS Security Team)


Note You need to log in before you can comment on or make changes to this bug.